﻿using System;
using Syncfusion.SfChart.iOS;
using Foundation;
using CoreGraphics;
using UIKit;

namespace Forum121689
{
	public partial class ViewController : UIViewController
	{
		public ViewController (IntPtr handle) : base (handle)
		{
		}

		public override void ViewDidLoad ()
		{
			SFChart chart 					= new SFChart ();
			chart.Frame						= new CGRect(0,20,this.View.Frame.Size.Width,
														 this.View.Frame.Size.Height-20);

			// Converting Int to String 
			//int number 					= 10;
			//string title 					= number.ToString ();

			NSString title 					= new NSString ("Doughnut");
			chart.Title.Text				= new NSString (title);
			chart.Title.TextAlignment 		= UITextAlignment.Center;
			chart.Title.BorderColor 		= UIColor.Black;
			chart.Title.TextColor 			= UIColor.Black;

			chart.Legend.Visible 			= true;
			ChartDoughnutSource dataModel 	= new ChartDoughnutSource ();
			chart.DataSource				= dataModel as SFChartDataSource;
			this.View.Add (chart);
			base.ViewDidLoad ();
			// Perform any additional setup after loading the view, typically from a nib.
		}
		public class ChartDoughnutSource : SFChartDataSource{

			NSMutableArray DataPoints;

			public ChartDoughnutSource (){

				DataPoints = new NSMutableArray ();
				AddDataPointsForChart("2010", 20);
				AddDataPointsForChart("2011", 25);
				AddDataPointsForChart("2012", 30);
				AddDataPointsForChart("2013", 20);
				AddDataPointsForChart("2014", 25);
			}

			void AddDataPointsForChart (String month, Double value)
			{
				DataPoints.Add (new SFChartDataPoint (NSObject.FromObject (month), NSObject.FromObject(value)));
			}
			public override nint NumberOfSeriesInChart (SFChart chart)
			{
				return 1; 
			}

			public override SFSeries GetSeries (SFChart chart, nint index)
			{
				SFDoughnutSeries series			= new SFDoughnutSeries ();
				series.DataMarker.ShowLabel     = true;
				return series;
			}

			public override SFChartDataPoint GetDataPoint (SFChart chart, nint index, nint seriesIndex)
			{
				return DataPoints.GetItem<SFChartDataPoint> ((nuint)index);//returns the datapoint for each series.
			}

			public override nint GetNumberOfDataPoints (SFChart chart, nint index)
			{
				return (int)DataPoints.Count;//No of datapoints needed for each series.
			}

		}

		public override void DidReceiveMemoryWarning ()
		{
			base.DidReceiveMemoryWarning ();
			// Release any cached data, images, etc that aren't in use.
		}
	}
}